Bug 188834 - [MAINTAINER] emulators/higan: Fix runtime
Summary: [MAINTAINER] emulators/higan: Fix runtime
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-21 01:20 UTC by Naram Qashat
Modified: 2014-04-23 02:10 UTC (History)
0 users

See Also:


Attachments
higan-0.94.patch (657 bytes, patch)
2014-04-21 01:20 UTC, Naram Qashat
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Naram Qashat 2014-04-21 01:20:00 UTC
Fix for finding the /usr/local/share/higan directory at runtime. higan is
unusable without this fix.

Generated with FreeBSD Port Tools 1.00.2014.03.23 (mode: change, diff: SVN)
Comment 1 Dmitry Marakasov freebsd_committer 2014-04-22 19:50:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 Dmitry Marakasov freebsd_committer 2014-04-23 02:06:24 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 3 dfilter service freebsd_committer 2014-04-23 02:06:24 UTC
Author: amdmi3
Date: Wed Apr 23 01:06:19 2014
New Revision: 351898
URL: http://svnweb.freebsd.org/changeset/ports/351898
QAT: https://qat.redports.org/buildarchive/r351898/

Log:
  - Fix path to data directory
  - While here, don't remove mtree directory
  
  PR:		188834
  Submitted by:	Naram Qashat <cyberbotx@cyberbotx.com> (maintainer)
  MFH:		2014Q2

Modified:
  head/emulators/higan/Makefile
  head/emulators/higan/pkg-plist

Modified: head/emulators/higan/Makefile
==============================================================================
--- head/emulators/higan/Makefile	Wed Apr 23 01:04:24 2014	(r351897)
+++ head/emulators/higan/Makefile	Wed Apr 23 01:06:19 2014	(r351898)
@@ -3,6 +3,7 @@
 
 PORTNAME=	higan
 PORTVERSION=	0.94
+PORTREVISION=	1
 CATEGORIES=	emulators
 MASTER_SITES=	http://byuu.org/files/ \
 		http://www.cyberbotx.com/higan/
@@ -115,7 +116,7 @@ post-patch:
 		-e 's|%%AUDIO%%|${AUDIO_DRIVER}|' \
 		-e 's|%%INPUT%%|${INPUT_DRIVER}|' \
 		${WRKSRC}/target-ethos/Makefile
-	${REINPLACE_CMD} -e 's|/usr/share/|${PREFIX}/|' \
+	${REINPLACE_CMD} -e 's|/usr/share/|${PREFIX}/share/|' \
 		${WRKSRC}/nall/string/platform.hpp
 .if ${PORT_OPTIONS:MDEBUG}
 	${REINPLACE_CMD} -e 's|-O3|-g|g' \

Modified: head/emulators/higan/pkg-plist
==============================================================================
--- head/emulators/higan/pkg-plist	Wed Apr 23 01:04:24 2014	(r351897)
+++ head/emulators/higan/pkg-plist	Wed Apr 23 01:06:19 2014	(r351898)
@@ -17,7 +17,6 @@ share/applications/higan.desktop
 %%DATADIR%%/shaders/Scanline.shader/manifest.bml
 %%DATADIR%%/shaders/Scanline.shader/scanline.fs
 share/pixmaps/higan.png
-@dirrmtry share/pixmaps
 @dirrm %%DATADIR%%/shaders/Scanline.shader
 @dirrm %%DATADIR%%/shaders/Edge Detection.shader
 @dirrm %%DATADIR%%/shaders/Curvature.shader
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"